Bug 17140 - configure test bug
configure test bug
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2000-08-31 12:22 EDT by kestes
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 13:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kestes 2000-08-31 12:22:14 EDT
There is a test in ./configure to see if your command line
arguments will allow you to compile using CC.

This test is broken because this test does not use libtool.  To be
consistent with your makefile which will compile the code, you should
use libtool to run the test.  I have tried to 
pass libtool options at configuration time and they fail because 
CC gets these options and does not know what to do with them.
Comment 1 kestes 2000-08-31 12:34:12 EDT
In particular

at configure time
	LDFLAGS="-static" \
	        ./configure --prefix=%{__prefix}

gives problems and you must use a compile time flag.  Why are these two 
LDFLAGS settings different?  Only because configure is not consistant.

	make LDFLAGS="-static"

Comment 2 Paul Nasrat 2005-09-29 13:49:02 EDT
Closing due to age of bug and RHL 6.2 is no longer supported.  

If you have more information to add to this report, related to current rpm
version in Fedora Core 4 or Rawhide please reopen.

Note You need to log in before you can comment on or make changes to this bug.